>From 0004d57c0d2923b997cbc5e590f4ce7d7ab177ac Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Thu, 31 Mar 2016 00:59:12 +0200
Subject: [PATCH 2/3] Increase max number of buffers in clog SLRU to 128.

Discussion: CAA4eK1+8=X9mSNeVeHg_NqMsOR-XKsjuqrYzQf=iCsdh3U4EOA@mail.gmail.com
---
 src/backend/access/transam/clog.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/access/transam/clog.c b/src/backend/access/transam/clog.c
index 06aff18..57a7913 100644
--- a/src/backend/access/transam/clog.c
+++ b/src/backend/access/transam/clog.c
@@ -440,7 +440,7 @@ TransactionIdGetStatus(TransactionId xid, XLogRecPtr *lsn)
 Size
 CLOGShmemBuffers(void)
 {
-	return Min(32, Max(4, NBuffers / 512));
+	return Min(128, Max(4, NBuffers / 512));
 }
 
 /*
-- 
2.7.0.229.g701fa7f.dirty

